const { SlashCommandBuilder, EmbedBuilder } = require('discord.js');

module.exports = {
  data: new SlashCommandBuilder()
    .setName('message')
    .setDescription('Send a default game message')
    .setDefaultMemberPermissions(0)
    .addStringOption(option => option
      .setName('option')
      .setDescription('Which message to send')
      .setRequired(true)
      .addChoices(
        { name: 'welcome', value: 'welcome' },
        { name: 'moderators', value: 'moderators' },
      )),

  async execute(interaction) {
    const option = interaction.options.getString('option');

    if (option === 'welcome') {
      const embed0 = new EmbedBuilder()
        .setTitle('Rules')
        .setColor(process.env.EMBED_COLOR)
        .setDescription('De regels zijn dit seizoen niet concreet. Zorg ervoor dat de ervaring voor iedereen leuk is en blijft. Een grapje maken mag, maar verpest niet iemand anders zijn ervaring.');

      const embed1 = new EmbedBuilder()
        .setTitle('Commands')
        .setColor(process.env.EMBED_COLOR)
        .addFields(
          { name: 'Whitelist', value: 'Join de Minecraft server en vul de gekregen code in door de `/whitelist` commando uit te voeren in discord. Door het commando `/removewhitelist` uit te voeren verwijder je jezelf van de whitelist.\n\u200B' },
          { name: 'Team', value: '**Team maken:** Voer het commando `/team create` uit in discord. Kleur kan je uitzoeken op deze website: [HTML Color Codes](https://htmlcolorcodes.com/color-picker/)\n\n**Inviten:** Voer het commando `/team invite <user>` uit in discord. Deze persoon zal een invite krijgen en deze accepteren of weigeren.\n\n**Leave:** Voer het commando `/team leave` uit om het team te verlaten.\n\u200B' },
          { name: 'Username', value: 'Door het commando `/setusername <type>` uit te voeren kan gekozen worden tussen de Minecraft of Discord username. Deze username zal op Discord en Minecraft weergegeven worden.\n\u200B' },
          { name: 'Minecraft', value: 'Door het commando `/map <hide/show>` uit te voeren in Minecraft kan gekozen om zichtbaar te zijn op [deze map](https://polarcraft.xeovalyte.com/) of niet' },
        );

      const embed2 = new EmbedBuilder()
        .setTitle('Polarcraft Modpack')
        .setColor(process.env.EMBED_COLOR)
        .addFields({ name: 'Installeer Instructies', value: `
          **1.** Installeer de [Modrinth launcher](https://modrinth.com/app) en log in\n
          **2.** Klik op het zoek icoon op de linker balk en zoek voor "Polarcraft Modpack"\n
          **3.** Klik vervolgens op "install"\n
          **4.** Klaar! Klik op "Play" om Minecraft op te starten\n
          ` })
        .setDescription('De Polarcraft Modpack is niet nodig, maar wel handig. In deze modpack zitten mods voor betere performance en Proximity chat mod. Als je er voor kiest om deze modpack niet te gebruiken is het leuk om zelf de [Plasmo Voice](https://modrinth.com/plugin/plasmo-voice) mod te installeren.');

      const embed3 = new EmbedBuilder()
        .setTitle('Links')
        .setColor(process.env.EMBED_COLOR)
        .setDescription('-> IP: polarcraft.xeovalyte.com\n-> [Minecraft Map](https://polarcraft.xeovalyte.com)\n-> [Polarcraft Modpack](https://modrinth.com/modpack/polarcraft-modpack)');

      await interaction.reply({ embeds: [embed0, embed1, embed2, embed3] });
    } else if (option === 'moderators') {
      const embed = new EmbedBuilder()
        .setTitle('Commands')
        .setColor(process.env.EMBED_COLOR)
        .setDescription('`/suspend <user> <time> <reason>` Dit commando zorgt ervoor dat een persoon tijdelijk niks kan doen. Gebruik dit als er bijvoorbeeld gegriefd wordt\n\n`/nuke` Dit commando zet de server in maintenance mode waardoor niemand meer kan joinen');

      await interaction.reply({ embeds: [embed] });
    }
  },
};
